> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dataset Drift



## OpenAPI

````yaml /api-reference/openapi.json get /api/datasets/{dataset_id}/drift
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/drift:
    get:
      tags:
        - api
        - datasets
      summary: Get Dataset Drift
      operationId: get_dataset_drift_api_datasets__dataset_id__drift_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataDriftResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DataDriftResponse:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        current_snapshot:
          anyOf:
            - $ref: '#/components/schemas/DataDriftSnapshot'
            - type: 'null'
        previous_snapshot:
          anyOf:
            - $ref: '#/components/schemas/DataDriftSnapshot'
            - type: 'null'
        metrics:
          anyOf:
            - $ref: '#/components/schemas/DataDriftMetrics'
            - type: 'null'
        history:
          items:
            $ref: '#/components/schemas/DataDriftEvent'
          type: array
          title: History
      type: object
      required:
        - dataset_id
      title: DataDriftResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DataDriftSnapshot:
      properties:
        captured_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Captured At
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        valid_images:
          anyOf:
            - type: integer
            - type: 'null'
          title: Valid Images
        invalid_images:
          anyOf:
            - type: integer
            - type: 'null'
          title: Invalid Images
        class_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Class Count
        classes:
          items:
            type: string
          type: array
          title: Classes
        class_distribution:
          additionalProperties:
            type: integer
          type: object
          title: Class Distribution
        dataset_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Type
      type: object
      title: DataDriftSnapshot
    DataDriftMetrics:
      properties:
        valid_images_delta:
          type: integer
          title: Valid Images Delta
        valid_images_pct_change:
          anyOf:
            - type: number
            - type: 'null'
          title: Valid Images Pct Change
        invalid_images_delta:
          type: integer
          title: Invalid Images Delta
        invalid_images_pct_change:
          anyOf:
            - type: number
            - type: 'null'
          title: Invalid Images Pct Change
        class_count_delta:
          type: integer
          title: Class Count Delta
        class_count_pct_change:
          anyOf:
            - type: number
            - type: 'null'
          title: Class Count Pct Change
        size_bytes_delta:
          type: integer
          title: Size Bytes Delta
        size_bytes_pct_change:
          anyOf:
            - type: number
            - type: 'null'
          title: Size Bytes Pct Change
        added_classes:
          items:
            type: string
          type: array
          title: Added Classes
        removed_classes:
          items:
            type: string
          type: array
          title: Removed Classes
        class_distribution_drift:
          anyOf:
            - type: number
            - type: 'null'
          title: Class Distribution Drift
        class_distribution_delta:
          additionalProperties:
            type: integer
          type: object
          title: Class Distribution Delta
        dataset_type_changed:
          type: boolean
          title: Dataset Type Changed
          default: false
        label_set_similarity:
          anyOf:
            - type: number
            - type: 'null'
          title: Label Set Similarity
        label_set_drift:
          anyOf:
            - type: number
            - type: 'null'
          title: Label Set Drift
        drift_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Drift Score
        signal_scores:
          additionalProperties:
            type: number
          type: object
          title: Signal Scores
        dominant_signal:
          anyOf:
            - type: string
            - type: 'null'
          title: Dominant Signal
        signal_reasons:
          items:
            type: string
          type: array
          title: Signal Reasons
        advanced_metrics:
          type: object
          title: Advanced Metrics
      type: object
      required:
        - valid_images_delta
        - invalid_images_delta
        - class_count_delta
        - size_bytes_delta
      title: DataDriftMetrics
    DataDriftEvent:
      properties:
        action_type:
          type: string
          title: Action Type
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        actor:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor
        metrics:
          anyOf:
            - $ref: '#/components/schemas/DataDriftMetrics'
            - type: 'null'
        snapshot:
          anyOf:
            - $ref: '#/components/schemas/DataDriftSnapshot'
            - type: 'null'
        details:
          anyOf:
            - type: object
            - type: 'null'
          title: Details
      type: object
      required:
        - action_type
      title: DataDriftEvent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````